Package com.sun.java.help.impl

# Interface ViewAwareComponent

All Known Implementing Classes:
  `JHSecondaryViewer`

public interface ViewAwareComponent
Interface that a Component should support if it wants to play in the View hierachy. WARNING!! This is an experimental feature of the JavaHelp reference implemenation and may change in future versions of the implementation.

## Method Summary

Modifier and Type
Method
Description
`void`
`setViewData(View v)`
Set the View that corresponds to this object This gives access to a wealth of information.

## Method Details

### setViewData

void setViewData(View v)
Set the View that corresponds to this object This gives access to a wealth of information.